## gmsh 4.12.1%2Bds1

=== contrib/QuadTri/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2024 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  QuadTriExtruded2D.cpp
  QuadTriExtruded3D.cpp
  QuadTriTransfinite3D.cpp
  QuadTriUtils.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/QuadTri "${SRC};${HDR}")
