=== contrib/MeshOptimizer/doc/figures/log_barrier/Makefile ===
%.pdf : %.tex
	pdflatex --shell-escape $<
clean :
	${RM} *.gnuplot *.table *.aux *.log
