=== debian/changelog ===
gmsh (4.12.1+ds1-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:02:45 +0000

gmsh (4.12.1+ds1-1.1build1) noble; urgency=medium

  * No-change rebuild against libocct-data-exchange-7.6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 21:38:53 +0000

gmsh (4.12.1+ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062447

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:49:14 +0000

gmsh (4.12.1+ds1-1) unstable; urgency=medium

  [ Anton Gladky ]
  * [7183a10] Update b/d from libgl1-mesa-dev to libgl-dev
  * [ada5876] Update lintian override info format in d/gmsh-doc.lintian-overrides on line 1.
  * [d433218] Update standards version to 4.6.2, no changes needed.
  * [c80a6f6] Drop old version restrictions in d/control

  [ Francesco Ballarin ]
  * [9bf6126] New upstream version 4.12.1+ds1
  * [11089e5] Add python tests to autopkgtest
  * [b398ec5] Add patch 141_search_in_triplet_subdir.patch to include
    subdirectory with arch triplet (e.g., /usr/lib/x86_64-linux-gnu/ or
    /usr/lib/i386-linux-gnu/) in search path when loading libgmsh.so from
    python.

 -- Anton Gladky <gladk@debian.org>  Wed, 24 Jan 2024 19:58:13 +0100
