=== debian/control ===
Source: gmsh
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>,
           Kurt Kremitzki <kkremitzki@debian.org>,
           Anton Gladky <gladk@debian.org>,
           Francesco Ballarin <francesco.ballarin@unicatt.it>
Section: math
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               freeglut3-dev,
               gfortran,
               libann-dev,
               libalglib-dev,
               libblas-dev,
               libcgns-dev,
               libeigen3-dev,
               libfltk1.3-dev,
               libgl-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libgmm++-dev,
               libgmp-dev,
               libjpeg-dev,
               liblapack-dev,
               liblbfgs-dev,
               libmetis-dev,
               libnglib-dev,
               libocct-data-exchange-dev,
               libocct-foundation-dev,
               libocct-modeling-algorithms-dev,
               libocct-modeling-data-dev,
               libocct-ocaf-dev,
               libocct-visualization-dev,
               libpng-dev,
               texinfo,
               texlive,
               texlive-plain-generic,
               voro++-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/gmsh
Vcs-Git: https://salsa.debian.org/science-team/gmsh.git
Homepage: https://gmsh.info
Rules-Requires-Root: no

Package: gmsh
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: gmsh-doc
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.

Package: gmsh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Three-dimensional finite element mesh generator documentation
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains documentation and examples.

Package: libgmsh-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgmsh4.12t64 (= ${binary:Version}),
         ${misc:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator development files
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains development files.

Package: libgmsh-private-headers-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgmsh4.12t64 (= ${binary:Version}),
         libgmsh-dev (= ${binary:Version}),
         ${misc:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator development files
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains development private headers.

Package: libgmsh4.12t64
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Pre-Depends: ${misc:Pre-Depends}
Breaks: libgmsh4.12 (<< ${source:Version}), libgmsh4 (>= 4.12.0+ds1-1~)
Replaces: libgmsh4.12, libgmsh4 (>= 4.12.0+ds1-1~)
Description: Three-dimensional finite element mesh generator shared library
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains a shared library.

Package: python3-gmsh
Architecture: all
Section: python
Depends: python3,
         libgmsh4.12t64 (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator Python 3 wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Python 3 wrapper for gmsh.
