## gmsh 4.12.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -108,7 +108,7 @@
 
 set(GMSH_MAJOR_VERSION 4)
 set(GMSH_MINOR_VERSION 12)
-set(GMSH_PATCH_VERSION 1)
+set(GMSH_PATCH_VERSION 2)
 if(NOT GMSH_EXTRA_VERSION)
   set(GMSH_EXTRA_VERSION "")
 endif()
@@ -232,7 +232,7 @@
 endif()
 
 include(CheckTypeSize)
-include(CheckFunctionExists)
+include(CheckSymbolExists)
 include(CheckIncludeFile)
 include(CheckCXXCompilerFlag)
 include(CheckCCompilerFlag)
