=== debian/changelog ===
gmsh (4.12.2+ds1-2build2) oracular; urgency=medium

  * Rebuild against latest alglib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Jun 2024 08:03:48 -0400

gmsh (4.12.2+ds1-2build1) oracular; urgency=medium

  * Rebuild against new opencascade 7.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 May 2024 19:13:01 +0200

gmsh (4.12.2+ds1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with opencascade 7.8.1 (Closes: #1071451) and to ensure
    that the rebuilt netgen is used, add a version to the B-D on libnglib-dev.

 -- Tobias Frost <tobi@debian.org>  Fri, 24 May 2024 23:43:14 +0200

gmsh (4.12.2+ds1-1) unstable; urgency=medium

  * [8121e10] New upstream version 4.12.2+ds1
  * [1bcd801] Refresh patch 141_search_in_triplet_subdir.patch

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 13 Apr 2024 13:28:03 +0000
