=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gmsh
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>,
            Kurt Kremitzki <kkremitzki@debian.org>,
            Anton Gladky <gladk@debian.org>,
@@ -26,7 +25,7 @@
                liblapack-dev,
                liblbfgs-dev,
                libmetis-dev,
-               libnglib-dev,
+               libnglib-dev (>= 6.2.2401+dfsg1-2~),
                libocct-data-exchange-dev,
                libocct-foundation-dev,
                libocct-modeling-algorithms-dev,
