## gmsh 4.13.1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                libglu1-mesa-dev,
                libgmm++-dev,
                libgmp-dev,
+               libhdf5-dev,
                libjpeg-dev,
                liblapack-dev,
                liblbfgs-dev,
@@ -38,7 +39,7 @@
                texlive-plain-generic,
                voro++-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/gmsh
 Vcs-Git: https://salsa.debian.org/science-team/gmsh.git
 Homepage: https://gmsh.info
@@ -86,7 +87,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgmsh4.12t64 (= ${binary:Version}),
+Depends: libgmsh4.13 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: gmsh
 Description: Three-dimensional finite element mesh generator development files
@@ -107,7 +108,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgmsh4.12t64 (= ${binary:Version}),
+Depends: libgmsh4.13 (= ${binary:Version}),
          libgmsh-dev (= ${binary:Version}),
          ${misc:Depends}
 Recommends: gmsh
@@ -125,8 +126,7 @@
  .
  The package contains development private headers.
 
-Package: libgmsh4.12t64
-Provides: ${t64:Provides}
+Package: libgmsh4.13
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -134,8 +134,6 @@
          ${shlibs:Depends}
 Recommends: gmsh
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libgmsh4.12 (<< ${source:Version}), libgmsh4 (>= 4.12.0+ds1-1~)
-Replaces: libgmsh4.12, libgmsh4 (>= 4.12.0+ds1-1~)
 Description: Three-dimensional finite element mesh generator shared library
  Gmsh is a 3D finite element grid generator with a build-in CAD engine
  and post-processor. Its design goal is to provide a fast, light and
@@ -154,7 +152,7 @@
 Architecture: all
 Section: python
 Depends: python3,
-         libgmsh4.12t64 (>= ${binary:Version}),
+         libgmsh4.13 (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gmsh
